import { EventEmitter, OnInit } from "@angular/core";
import { Router } from "@angular/router";
import { CommonFunctionService } from "../../service/common-function.service";
export declare class RSAsideComponent implements OnInit {
    router: Router;
    cf: CommonFunctionService;
    constructor(router: Router, cf: CommonFunctionService);
    toggleMenu: EventEmitter<any>;
    navClick: EventEmitter<any>;
    isCollapsed: boolean;
    customNavClick: boolean;
    navList: any[];
    relationStart: any[];
    currentNav: string;
    ngOnInit(): void;
    initCurrentNav(): void;
    onNavClick(item: any): void;
}
